org.kie.api.fluent

## Interface SubProcessNodeBuilder<T extends NodeContainerBuilder<T,?>>

- All Superinterfaces:
    NodeBuilder<SubProcessNodeBuilder<T>,T>

      public interface SubProcessNodeBuilder<T extends NodeContainerBuilder<T,?>>
      extends NodeBuilder<SubProcessNodeBuilder<T>,T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SubProcessNodeBuilder<T>` | `independent(boolean independent)`
    `SubProcessNodeBuilder<T>` | `inMapping(String parameterName, String variableName)`
    `T` | `onEntryAction(Dialect dialect, String action)`
    `T` | `onExitAction(Dialect dialect, String action)`
    `SubProcessNodeBuilder<T>` | `outMapping(String parameterName, String variableName)`
    `SubProcessNodeBuilder<T>` | `processId(String processId)`
    `T` | `timer(String delay, String period, Dialect dialect, String action)`
    `SubProcessNodeBuilder<T>` | `waitForCompletion(boolean waitForCompletion)`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### processId

          SubProcessNodeBuilder<T> processId(String processId)

    - #### waitForCompletion

          SubProcessNodeBuilder<T> waitForCompletion(boolean waitForCompletion)

    - #### inMapping

          SubProcessNodeBuilder<T> inMapping(String parameterName,
                                             String variableName)

    - #### outMapping

          SubProcessNodeBuilder<T> outMapping(String parameterName,
                                              String variableName)

    - #### independent

          SubProcessNodeBuilder<T> independent(boolean independent)

    - #### onEntryAction

          T onEntryAction(Dialect dialect,
                          String action)

    - #### onExitAction

          T onExitAction(Dialect dialect,
                         String action)

    - #### timer

          T timer(String delay,
                  String period,
                  Dialect dialect,
                  String action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.